<?xml version="1.0" encoding="UTF-8"?>

<!--Création de la vue kanban pour tous les éléments du menu grâce à des enregistrement dans la table ir.ui.view-->
<odoo>
    <!--Création de la vue kanban des articles du catalogue-->
    <record id='espace_client_catalogue_view_kanban' model='ir.ui.view'>
        <!--Utile seulement comme mnémonique / description de la vue lorsque vous en cherchez une dans une liste quelconque-->
        <field name="name">espace.client.catalogue.kanban</field>
        <!--Le modèle lié à la vue, le cas échéant (ce n'est pas le cas pour les vues QWeb)-->
        <field name="model">espace.client.catalogue</field>
        <!--La description de la disposition de la vue-->
        <field name="arch" type="xml">
            <kanban>
                <field name="name" />
                <field name="type" />
                <field name="prix" />
                <field name="description" />
                <templates>
                    <t t-name="kanban-box">
                        <div class="oe_kanban_global_click">
                            <div class="oe_kanban_details">
                                <strong class="o_kanban_record_title">
                                    <field name="name"/>
                                </strong>
                                <ul>
                                    <li>
                                        <t t-if="record.type.raw_value">Type : <field name="type"/></t>
                                    </li>
                                    <li>
                                        <t t-if="record.prix.raw_value">Prix : <field name="prix"/> €</t>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </t>
                </templates>
            </kanban>
        </field>
    </record>

    <!--Création de la vue kanban de l'historique des factures-->
    <record id='espace_client_commande_view_kanban' model='ir.ui.view'>
        <!--Utile seulement comme mnémonique / description de la vue lorsque vous en cherchez une dans une liste quelconque-->
        <field name="name">espace.client.commande.kanban</field>
        <!--Le modèle lié à la vue, le cas échéant (ce n'est pas le cas pour les vues QWeb)-->
        <field name="model">espace.client.commande</field>
        <!--La description de la disposition de la vue-->
        <field name="arch" type="xml">
            <kanban>
                <field name="date" />
                <field name="espace_client_catalogue_id" />
                <field name="partner_id" />
                <field name="company_id" />
                <templates>
                    <t t-name="kanban-box">
                        <div class="oe_kanban_global_click">
                            <div class="oe_kanban_details">
                                <strong class="o_kanban_record_title">
                                    <field name="date"/> : <field name="espace_client_catalogue_id"/>
                                </strong>
                                <ul>
                                    <li>
                                        <t t-if="record.partner_id.raw_value"><field name="partner_id"/></t>
                                    </li>
                                    <li>
                                        <t t-if="record.company_id.raw_value"><field name="company_id"/></t>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </t>
                </templates>
            </kanban>
        </field>
    </record>

    <!--Les données entre les balises <kanban> "servent à rien" car il y a deux <field name="name">res.partner.kanban</field> dans le model='ir.ui.view' donc Odoo va plutôt choisir l'autre enregistrement pour l'interface-->
    <!--Création de la vue kanban des informations personnelles-->
    <record id='espace_client_res_partner_view_kanban' model='ir.ui.view'>
        <!--Utile seulement comme mnémonique / description de la vue lorsque vous en cherchez une dans une liste quelconque-->
        <field name="name">res.partner.kanban</field>
        <!--Le modèle lié à la vue, le cas échéant (ce n'est pas le cas pour les vues QWeb)-->
        <field name="model">res.partner</field>
        <!--La description de la disposition de la vue-->
        <field name="arch" type="xml">
            <kanban>
                <field name="name" />
                <field name="street" />
                <field name="zip" />
                <field name="city" />
                <templates>
                    <t t-name="kanban-box">
                        <div class="oe_kanban_global_click">
                            <div class="oe_kanban_details">
                                <strong class="o_kanban_record_title">
                                    <field name="name"/>
                                </strong>
                                <ul>
                                    <li>
                                        <t t-if="record.street.raw_value"><field name="street"/></t>
                                    </li>
                                    <li>
                                        <t t-if="record.zip.raw_value"><field name="zip"/></t>
                                    </li>
                                    <li>
                                        <t t-if="record.city.raw_value"><field name="city"/></t>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </t>
                </templates>
            </kanban>
        </field>
    </record>

    <!--Les données entre les balises <kanban> "servent à rien" car il y a deux <field name="name">res.company.kanban</field> dans le model='ir.ui.view' donc Odoo va plutôt choisir l'autre enregistrement pour l'interface-->
    <!--Création de la vue kanban des informations de l'entreprise-->
    <record id='espace_client_res_company_view_kanban' model='ir.ui.view'>
        <!--Utile seulement comme mnémonique / description de la vue lorsque vous en cherchez une dans une liste quelconque-->
        <field name="name">res.company.kanban</field>
        <!--Le modèle lié à la vue, le cas échéant (ce n'est pas le cas pour les vues QWeb)-->
        <field name="model">res.company</field>
        <!--La description de la disposition de la vue-->
        <field name="arch" type="xml">
            <kanban>
                <field name="name" />
                <field name="email" />
                <field name="phone" />
                <templates>
                    <t t-name="kanban-box">
                        <div class="oe_kanban_global_click">
                            <div class="oe_kanban_details">
                                <strong class="o_kanban_record_title">
                                    <field name="name"/>
                                </strong>
                                <ul>
                                    <li>
                                        <t t-if="record.email.raw_value"><field name="email"/></t>
                                    </li>
                                    <li>
                                        <t t-if="record.phone.raw_value"><field name="phone"/></t>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </t>
                </templates>
            </kanban>
        </field>
    </record>
</odoo>
